Bug 585216 - tmpwatch doesn't skip directories mounted with --bind
Summary: tmpwatch doesn't skip directories mounted with --bind
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tmpwatch (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 13:08 UTC by Roel van de Kraats
Modified: 2011-04-05 21:37 UTC (History)
1 user (show)

Fixed In Version: tmpwatch-2.10.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-05 21:37:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roel van de Kraats 2010-04-23 13:08:57 UTC
Description of problem:
The tmpwatch man page mentions 'will not switch filesystems', but a bind mount of another directory in the same filesystem seems not to get skipped. 

Version-Release number of selected component (if applicable):
tmpwatch-2.9.17-1.fc12.x86_64

How reproducible:
Easy

Steps to Reproduce:
1. mkdir /tmp/stupid ; mount --bind /home /tmp/stupid
2. wait for cron to call tmpwatch
3.
  
Actual results:
du -s /home gives a very low value

Expected results:
du -s /home shouldn't be influenced by tmpwatch

Additional info:

Comment 1 Miloslav Trmač 2010-04-28 19:26:42 UTC
Thanks for your report.

The behavior can probably be argued to be technically correct - but the safe thing to do would indeed be to detect bind mounts.

Comment 2 Bug Zapper 2010-11-03 16:29:51 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Miloslav Trmač 2011-03-21 19:41:05 UTC
I have added bind mount skipping added in upstream changeset 79123aa14f4e, but it needs changes for F15.

Comment 4 Roel van de Kraats 2011-03-21 20:02:13 UTC
Thanks!

Comment 5 Fedora Update System 2011-03-31 15:35:14 UTC
tmpwatch-2.10.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tmpwatch-2.10.2-1.fc15

Comment 6 Fedora Update System 2011-03-31 19:43:19 UTC
Package tmpwatch-2.10.2-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tmpwatch-2.10.2-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tmpwatch-2.10.2-1.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-04-05 21:36:59 UTC
tmpwatch-2.10.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.